Get a counterparty by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"counterparty": {
"counterpartyId": "<string>",
"counterpartyName": "<string>",
"isActive": true,
"description": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get a counterparty by ID
Permissions required: Read vault activity
Get a single trusted counterparty by its ID.
GET
/
atlas
/
directory
/
counterparties
/
{counterpartyId}
Get a counterparty by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/directory/counterparties/{counterpartyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"counterparty": {
"counterpartyId": "<string>",
"counterpartyName": "<string>",
"isActive": true,
"description": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
ID of trusted counterparty to fetch
Minimum string length:
1Query Parameters
ID of the participant this trusted counterparty is for
Minimum string length:
1Response
counterparty
Show child attributes
Show child attributes
Was this page helpful?